

       /* Define a animação de entrada */
            .modal.fade .modal-dialog {
            transform: translateX(-100%);
            transition: transform 0.5s ease-out;
        }

        /* Quando o modal está visível */
            .modal.fade.show .modal-dialog {
            transform: translateX(0);
        }


        .cifraPre {
            color: #000;
        }

        .cifraPre b {
            color: #d95b08;
        }


        #loading-screen {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: white;
            display: flex;
            align-items: center;
            justify-content: center;
            z-index: 9999;
            text-align: center; /* Centraliza o texto */
        }

        #loading-screen img {
            max-width: 100%;
            max-height: 100%;
        }

        .loading-content {
            display: flex;
            flex-direction: column; /* Organiza em coluna */
            align-items: center; /* Centraliza os itens na coluna */
            text-align: center;
        }

        .loading-text {
            margin-top: 15px; /* Adiciona um espaçamento entre a imagem e o texto */
            font-size: 14px;
        }


/* ############################### */


.tituloMusica {
    white-space: nowrap; /* Impede a quebra de linha */
    overflow: hidden;    /* Esconde o texto que ultrapassa o limite */
    text-overflow: ellipsis; /* Adiciona os "..." */
    display: block;      /* Garante que a div seja tratada como bloco */
    width: 100%;         /* Define uma largura, caso necessário */
    /*color: #e4360c;*/
    color: #000; 
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: bold;
}



/* Estilo para telas desktop */
@media (min-width: 992px) {
  .desktop2 { display: block; }
  .mobile2 { display: none; }
  .meio2{ margin-top: 0px; padding-left: 20px; padding-right: 20px; }
  .botao {  padding: .25rem .5rem; font-size: 12px; line-height: 1.5; border-radius: .2rem; border: 0px solid #d4d4d4; }
}

/* Estilo para telas mobile2 */
@media (max-width: 992px) {
  .desktop2 { display: none; }
  .mobile2 { display: block; }
  .meio2{ margin-top: 80px; padding-left: 20px; padding-right: 20px; }
  .botao {  padding: .25rem .5rem; font-size: 11px; line-height: 1.5; border-radius: .2rem; border: 0px solid #d4d4d4; }
}


.botao:not(:disabled):not(.disabled) { cursor: pointer; }
.btn_branco { background: #fff; color: #000; }
.btn_amarelo { background: #ffc107; color: #000; }
.btn_verde { background: #077a07; color: #fff; }
.btn_verde_claro { background: #28a745; color: #fff; }
.btn_vermelho { background: #d31f1f; color: #fff; }
.btn_cinza { background: #757575; color: #fff; }
.btn_cinza2 { background: #e1ded7; color: #000; }
.btn_azul { background: #5883bf; color: #fff; }
.btn_laranja { background: #ff993f; color: #FFF; }


.link1 {
  text-decoration: none; /* remove sublinhado */
  color: black;          /* cor padrão */
  transition: color 0.2s; /* animação suave */
}

.link1:hover {
  text-decoration: none; /* remove sublinhado */
  color: black;         /* cor ao passar o mouse */
}


.link2 {
  text-decoration: none; /* remove sublinhado */
  color: #999;          /* cor padrão */
  transition: color 0.2s; /* animação suave */
}

.link2:hover {
  text-decoration: none; /* remove sublinhado */
  color: #999;         /* cor ao passar o mouse */
}


/* ############################### */

:root {
    --altura-tela: calc(100vh - 70px);
}

#menuGMVertical {
    height: var(--altura-tela);
}

/* ############################### */


/* LAYOUT */

.none { display: none; }
.hidden { display: none; }

.pm0 { padding: 0px; margin: 0px; }
.color1 { color: #e4360c; }
.color2 { color: #333; }
.color3 { color: #5883bf; }
.color4 { color: green; }

.mao { cursor: pointer; cursor: hand; }

.meio{ margin-top: 0px; padding-left: 20px; padding-right: 20px; }
    
.input2:focus {
    outline: none; /* Remove o contorno */
    box-shadow: none; /* Remove o efeito neon */
    border-radius: 4px; /* Ajusta os cantos */
    border: 1px solid #3799d8;
}

textarea {
    border: 1px solid #ced4da;
}

    /* --- CARREGANDO ------- */
    #loading {
      position: fixed;
      width: 100%;
      height: 100%;
      background: #fff;
      display: flex;
      align-items: center;
      justify-content: center;
      z-index: 1000;
    }
    #loading span {
      font-size: 24px;
      font-weight: bold;
    }
    /* --- CARREGANDO ------- */

body {
margin: 0;
display: flex;
height: 100vh;
overflow-x: hidden;
font-family: "Poppins", sans-serif;
/*font-weight: 600;*/
font-style: normal;
font-size: 14;
background-color: #fff;
}

h1 {
font-family: "Poppins", sans-serif;
font-weight: 600;
font-style: normal;
font-size: 20;
}

h4 {
font-family: "Poppins", sans-serif;
font-weight: 600;
font-style: normal;
font-size: 26;
color: #e4360c;
}

.box-esquerda {
/*width: 300px;*/
/*background-color: #fff7f7;*/
}
.box-direita {
/*background-color: #e6e6fb;*/
width: 100%;
padding: 20px;
}

.card { border-radius: 15px; }

/* MENU */

.nav {
text-align: left;
}
.nav-link {
	color: #6c757d;
	padding: 15px;
	margin-bottom: 10px;
	border-radius: 10px;
	transition: background-color 0.3s, color 0.3s;
	font-family: "Poppins", sans-serif;
	font-weight: 600;
	font-style: normal;
	font-size: 14;
}

.nav-link:hover:not(.active) {
	background-color: #e2e6ea;
	color: #343a40;
}

.active2 {
  /*	background-color: #e05959;*/
  background: linear-gradient(to right, #d85535, #f8740c);
	color: white !important;
}

.menu{
	width:260px;
	margin-top: 20px;
	margin-left: 20px;
	padding: 0 10px 10px 10px;
	background-color:#f9f9f9;
  border: 1px solid #ccc;
	border-radius: 10px;
	text-align: center;
}

.iconeMenu{
font-size: 22px;
margin-right: 15px;
}


.menuMobile{
  width:100%; 
  background: linear-gradient(to right, #e33308, #feb47b);
  position: fixed; 
  top: 0px; 
  left: 0px; 
  padding: 20px;
  z-index: 20;
}



/* ########## MENU ################ */

#hamburgerIconGM {
  font-size: 20px;
  cursor: pointer;
  color:#000;
}

#menuGM {
  text-align: center;
  padding: 0px 20px 20px 20px;
  position: fixed;
  top: 0;
  left: -280px;
  width: 280px;
  height: 100%;
  background-color: #fff;
  color: white;
  z-index: 1000;
  overflow-y: auto;
}

#overlayGM {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 999;
}



/* ########## ESCOLHER GRUPO ################ */


    .active-group {
        /*  background-color: #e05959;*/
        /*background: linear-gradient(to right, #2a8c75, #367c6c);
        color: white !important;*/
    }

    .nav-link-group {
        color: #6c757d;
        padding: 15px;
        margin-bottom: 10px;
        border-radius: 10px;
        transition: background-color 0.3s, color 0.3s;
        font-family: "Poppins", sans-serif;
        font-weight: 600;
        font-style: normal;
        font-size: 14;
        background-color: #efefef;
    }

    .nav-link-group:hover:not(.active) {
        background-color: #e2e6ea;
        color: #343a40;
    }

    .copyright {
        text-align: center;
        padding: 60px 0;
        padding-top: 20px;
    }

    .J-dtp-month-txt {
        pointer-events: none;
        cursor: default; /* Opcional: altera o cursor para indicar que o elemento não é clicável */
    }



    /* SELECT2 */

    .select2-container {
    width: 100% !important;
    }

    .select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #ea6f51 !important;
    color: white; 
    }


    .select2-container--default .select2-search--dropdown .select2-search__field:focus {
        outline: none; /* Remove o contorno */
        box-shadow: none; /* Remove o efeito neon */
        border-radius: 4px; /* Ajusta os cantos */
        border: 1px solid #3799d8;
    }




/*
.select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 1px solid #aaa;
    border-radius: 4px;
    min-width: 100px;
}

*/

/* botao dropdows */

.dropdown-item {
    display: block;
    width: 100%;
    padding: .25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
    font-size: 12px;
}

.dropdown-menu .dropdown-item:hover,
.dropdown-menu .dropdown-item:focus {
  background-color: orange !important;
  color: white !important; /* ou black, se quiser letra escura */
}


.sweet-alert button.confirm {
    background-color: #ff5c00 !important;
    color: white;
    border: none;
    box-shadow: none;
    font-size: 17px;
    font-weight: 500;
    -webkit-border-radius: 4px;
    border-radius: 5px;
    padding: 10px 32px;
    margin: 26px 5px 0 5px;
    cursor: pointer;
}
